---
# docker-compose file for prometheus metrics server

# docker login dkregistry.xai-corp.net:5000
# docker-compose build && docker push dkregistry.xai-corp.net:5000/xaicorp/prometheus:latest

# DOCKER_HOST=dkmanager:2376 docker stack deploy --prune --with-registry-auth -c docker-compose-prod.yml metrics
# DOCKER_HOST=dkmanager:2376 docker stack ps metrics

version: '3.4'
services:

  prometheus:
    image: "dkregistry.xai-corp.net:5000/xaicorp/prometheus:latest"
    ports:
      - 9090:9090
#    volumes:
#      - ./prometheus.yml:/etc/prometheus/prometheus.yml
#    logging:
#      driver: fluentd
#      options:
#        fluentd-address: "logs.xai-corp.net:24224"
#        fluentd-async-connect: 'true'
#        tag: postgres

#  graphana:
#    image: grafana/grafana
#    ports:
#      - 3001:3000
#    environment:
#      GF_SECURITY_ADMIN_PASSWORD: sakas
##    volumes:
##      - /opt/shared/nextcloud/data:/var/www/html/data
#
#  postgres_exported:
#    image: wrouesnel/postgres_exporter
#    environment:
#      DATA_SOURCE_NAME: "postgresql://xaicorp_admin:snqioxni1sw@tasks.postgres:5432/?sslmode=disable"
#
#  fluentd_exporter:
#    image: vect0r/fluentd_exporter
##    ports:
##      - 9309:9309
#    command:
#      - go-wrapper
#      - run
#      - -scrape_uri
#      - http://tasks.fluentd:24220/api/plugins.json
#
#  node_exporter:
#    image: quay.io/prometheus/node-exporter
#    pid: "host"
#
